var maxRadius = 20;
var rScale = d3.scaleSqrt().domain([0, 210]).range([0, maxRadius]);

function updateChart(data) {
  d3.select('svg g.chart')
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('cx', function(d, i) {
      return i * 5;
    })
    .attr('cy', 50)
    .attr('r', function(d) {
      return rScale(d.Entrants)
    })
    .style('opacity', 0.1);
}

function dataIsReady(data) {
  updateChart(data);
}

d3.csv('data/tour_de_france.csv')
  .then(dataIsReady);
